Bug 14405 - Add datatable to fines table in OPAC patron account
Summary: Add datatable to fines table in OPAC patron account
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-17 15:34 UTC by Katrin Fischer
Modified: 2017-02-19 20:49 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14405: Add datatables to fines table in OPAC (2.41 KB, patch)
2017-02-02 04:18 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14405: Add datatables to fines table in OPAC (2.47 KB, patch)
2017-02-03 17:12 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14405: Add datatables to fines table in OPAC (2.53 KB, patch)
2017-02-14 12:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14405: Remove pagination type, there is no pagination at the OPAC (1.25 KB, patch)
2017-02-14 12:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14405: Add datatables to fines table in OPAC (2.54 KB, patch)
2017-02-16 10:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14405: Remove pagination type, there is no pagination at the OPAC (1.26 KB, patch)
2017-02-16 10:49 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-06-17 15:34:32 UTC
It would be nice if we could sort and search the fines table on the fines tab in the patron's OPAC account.
Comment 1 Aleisha Amohia 2017-02-02 04:18:31 UTC
Created attachment 59764 [details] [review]
Bug 14405: Add datatables to fines table in OPAC

To test:
1) Apply patch
2) Go to OPAC -> Your account
3) Confirm you can now sort on all columns

Sponsored-by: Catalyst IT
Comment 2 M. Tompsett 2017-02-03 17:12:57 UTC
Created attachment 59892 [details] [review]
Bug 14405: Add datatables to fines table in OPAC

To test:
1) Apply patch
2) Go to OPAC -> Your account
3) Confirm you can now sort on all columns

Sponsored-by: Catalyst IT

NOTE: NICE!

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Jonathan Druart 2017-02-14 12:43:53 UTC
Created attachment 60198 [details] [review]
Bug 14405: Add datatables to fines table in OPAC

To test:
1) Apply patch
2) Go to OPAC -> Your account
3) Confirm you can now sort on all columns

Sponsored-by: Catalyst IT

NOTE: NICE!

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Jonathan Druart 2017-02-14 12:43:58 UTC
Created attachment 60199 [details] [review]
Bug 14405: Remove pagination type, there is no pagination at the OPAC

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jonathan Druart 2017-02-16 10:49:48 UTC
Created attachment 60322 [details] [review]
Bug 14405: Add datatables to fines table in OPAC

To test:
1) Apply patch
2) Go to OPAC -> Your account
3) Confirm you can now sort on all columns

Sponsored-by: Catalyst IT

NOTE: NICE!

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2017-02-16 10:49:52 UTC
Created attachment 60323 [details] [review]
Bug 14405: Remove pagination type, there is no pagination at the OPAC

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2017-02-17 17:12:33 UTC
Pushed to master for 17.05, thanks Aleisha, Jonathan!
Comment 8 Katrin Fischer 2017-02-19 20:49:44 UTC
I am excited about this, but will have to wait for 17.05. Thx, Aleisha! :)

This won't get ported back to 16.11.x as it is an enhancement.